import SwiftUI

extension NSLineBreakMode {
  init(truncationMode: Text.TruncationMode) {
    switch truncationMode {
    case .head:
      self = .byTruncatingHead
    case .tail:
      self = .byTruncatingTail
    case .middle:
      self = .byTruncatingMiddle
    @unknown default:
      self = .byWordWrapping
    }
  }
}
